; ##############################################################################
; ##############################################################################
; ##############################################################################
TIMER_AKTIVIEREN:
;																			
; Timer-0 berlauf-Int aktivieren (Timer/Counter Interrupt Mask)			
;																			
; TIMSK ==> OCIE2 TOIE2 TICIE1 OCIE1A OCIE1B TOIE1 R TOIE0  				
;																			
	ldi temp,(1<<OCIE2)|(0<<TOIE2)|(0<<TICIE1)|(0<<OCIE1A)|(0<<OCIE1B)|(0<<TOIE1)|(0<<TOIE0)
	out TIMSK,temp       
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TIMER2_CTC_INITIALISIERUNG:
; Vorteiler / Output Mode									
; cs22 cs21 cs20											
;  0    0    1 clkT2S/(No prescaling)						
;  0    1    0 clkT2S/8 (From prescaler)					
;  0    1    1 clkT2S/32 (From prescaler)					
;  1    0    0 clkT2S/64 (From prescaler)					
;  1    0    1 clkT2S/128 (From prescaler)					
;  1    1    0 clkT2S/256 (From prescaler)					
;  1    1    1 clkT2S/1024 (From prescaler)					
    ; CTC-Modus						
   	ldi     temp,(0<<com20|1<<wgm21|0<<cs22|1<<cs21|0<<cs20)  
   	out     tccr2,temp 
	; TIMER-2 Frequenz einstellen	
    ldi     temp,(TDIV-1)
   	out     OCR2,temp              
	; STARTWERT						
	OUT TCNT2,NULL
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 16Bit PWM	Timer1																
TIMER1_PWM_INITIALISIERUNG:
	ldi temp, (1<<WGM10)|(1<<COM1A1)|(1<<COM1A0); 8bit PWM		
	out TCCR1A, temp

	ldi temp, 1									; 62,5kHz PWM	
	out TCCR1B, temp

	ldi temp, 127
	out OCR1AL, temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
